Config::Any::General(3)

NAME
Config::Any::General - Load Config::General files

DESCRIPTION
Loads Config::General files. Example:

    name = TestApp
    <Component Controller::Foo>
        foo bar
        bar [ arrayref-value ]
    </Component>
    <Model Baz>
        qux xyzzy
    </Model>

METHODS

  extensions( )
return an array of valid extensions ("cnf", "conf").

  load( $file )
Attempts to load $file via Config::General.

  requires_all_of( )
Specifies that this module requires Config::General in order to work.

AUTHOR
Brian Cassidy <bricas@cpan.org>

CONTRIBUTORS
Joel Bernstein <rataxis@cpan.org>

COPYRIGHT AND LICENSE
Copyright 2006-2016 by Brian Cassidy

Portions Copyright 2006 Portugal Telecom

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO

•   Catalyst

•   Config::Any

•   Config::General